// pages/product/productDetail/productDetail.js
var util = require('../../../../utils/util.js')
var app = getApp()

Page({
  /**
   * 页面的初始数据
   */
  
  data: {
    pageData:[],
  },
  onLoad: function (option) {
    let token = option.token;
    let secretKey = option.secretKey;
    let uid = option.uid;
    let groupId = option.groupId;
    let lotteryId = option.lotteryId;
    app.$apiJava('/api/b2b/lottery/getUserLotteryWinningList', { lotteryId: lotteryId, pageIndex: 1, pageSize: 20 }, groupId, uid, token, secretKey).then(res => {
      this.setData({
        pageData: res.pageData
      })
    }).catch(err => {

    })

    
  }  


})